Bug 41998 - -qp --queryformat %{BUILDROOT} always returns (none)
-qp --queryformat %{BUILDROOT} always returns (none)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-23 13:23 EDT by Bernhard Rosenkraenzer
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-23 13:41:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bernhard Rosenkraenzer 2001-05-23 13:23:19 EDT
Subject says it all.

rpm -qp --queryformat "%{BUILDROOT}" some-package.src.rpm

always returns (none), even on known good (meaning, with a buildroot) rpm.

Tested with rpm 4.0.2-8 and 4.0.3-0.32.
Comment 1 Jeff Johnson 2001-05-23 13:38:56 EDT
--- lib/rpmlib.h	2001/05/23 14:23:44	2.233.2.29
+++ lib/rpmlib.h	2001/05/23 17:41:32
@@ -259,7 +259,7 @@
     RPMTAG_CONFLICTNAME		= 1054,
     RPMTAG_CONFLICTVERSION	= 1055,
     RPMTAG_DEFAULTPREFIX	= 1056, /*!< internal - deprecated */
-    RPMTAG_BUILDROOT		= 1057,
+    RPMTAG_BUILDROOT		= 1057, /*!< internal */
     RPMTAG_INSTALLPREFIX	= 1058, /*!< internal - deprecated */
     RPMTAG_EXCLUDEARCH		= 1059,
     RPMTAG_EXCLUDEOS		= 1060,
Comment 2 Jeff Johnson 2001-05-23 13:43:14 EDT
Hmmm, thought you might be able to query a spec file for buildroot ...

Nope, it's internal.

Note You need to log in before you can comment on or make changes to this bug.